Name:	 AudioSpace
Version: 2.3
Release: %mkrel 1
Summary: Calculates the amount of storage required for an audio recording             
Source0: http://billposer.org/Software/Downloads/%{name}-%{version}.tar.xz
Source1: %{name}.png
URL:	http://billposer.org/Software/AudioSpace.html
Group:	Sound
BuildRoot: %{_tmppath}/build-%{name}-%{version}
License:GPL
BuildRequires: desktop-file-utils
Requires: tcl
Requires: tcl-tcllib
Requires: tk
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
AudioSpace calculates the amount of storage required for an audio
recording of a given duration for different sampling rates,
resolutions, and numbers of channels.  The calculation may be made
for uncompressed audio data or for several types of compression. A
variety of units may be selected for reporting the result.

%prep
%setup -q -n %{name}-%{version}

%build

%install
%__install -dm 755 %{buildroot}%{_bindir}
%makeinstall \
	BINDIR=%{buildroot}%{_bindir}

# icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE1} \
	%{buildroot}%{_datadir}/pixmaps

# menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=AudioSpace
Icon=%{name}.png
Terminal=false
Name=AudioSpace
Comment=Calculates required space for audio recording  
Categories=AudioVideo;Music;X-MandrivaLinux-Multimedia-Sound;
EOF

%post 
%{update_desktop_database}
%{update_menus}

%postun 
%{clean_desktop_database}
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Oct 11 2011 Archie <pclinuxos.ph at gmail.com> 2.3-1_archie_2011
- Updated to 2.3
- Rebuild for x86_64

* Sun Dec 27 2009 Texstar <texstar at gmail.com> 2.2-3pclos2010
- rebuild for new tcl

* Sat May 23 2009 Texstar <texstar@gmail.com> 2.2-2pclos2009
- update desktop icon and fix rpm group

* Sun Aug 10 2008 Slick50 <slick50@linuxgator.org> 2.2-1pclos2007
- import to PCLinuxOS
